import appInit from "./unicloud/appInit.js";
import setInterceptor from './unicloud/interceptor.js';
import setMonitor from './unicloud/monitor.js';
// import init from "@/uni_modules/uni-id-pages/init.js";

import openApp from "./openApp.js";
import initCommon from './common.js';

// uni-starter初始化
// #ifdef H5
openApp(); //创建在h5端全局悬浮引导用户下载app的功能
// #endif

/**
 * 初始化环境
 */
function initApp() {
    // 系统初始化相关
    initCommon();
    
    // 开启云开发
    if (uni.$config.uniCloud) {
        // uni-starter应用初始化相关
        appInit();
        // 全局拦截器
        setInterceptor();
        // 全局监听器
        setMonitor();
        // uni-id-pages初始化
        // init();
    }
}

export default initApp
