import colorui from "@/libs/colorui/color.js"

export default {
    ...colorui,
    
    main: "#303133",
    content: "#606266",
    tips: "#909193",
    light: "#c0c4cc",
    dark: "#eeeeee",
    border: "#dadbde",
    bgColor: "#f3f4f6",
    disabled: "#c8c9cc",
    
    primary: "#3c9cff",
    primaryDark: "#398ade",
    primaryDisabled: "#9acafc",
    primaryLight: "#ecf5ff",
    
    warning: "#f9ae3d",
    warningDark: "#f1a532",
    warningDisabled: "#f9d39b",
    warningLight: "#fdf6ec",
    
    success: "#5ac725",
    successDark: "#53c21d",
    successDisabled: "#a9e08f",
    successLight: "#f5fff0",
    
    error: "#f56c6c",
    errorDark: "#e45656",
    errorDisabled: "#f7b2b2",
    errorLight: "#fef0f0",
    
    info: "#909399",
    infoDark: "#767a82",
    infoDisabled: "#c4c6c9",
    infoLight: "#f4f4f5",
    
    default: "#f8f8f8"
}