/**
 * 返回顶部，用于页面级的滑动，混入该组件时，需要放在较前面位置，否则可能由于混入顺序导致方法覆盖出现未定义异常
 */

export default {
    data() {
        return {
            // 滚动到顶部的距离
            mv_scrollTop: 0
        }
    },
    
    /**
     * 监听页面滚动生命周期
     * @param {Object} e
     */
    onPageScroll(e) {
        this.mv_scrollTop = e.scrollTop;
    }
}
