/**
 * 模拟网络请求，返回指定数据
 */
const mockNetwork = async (data, header) => {
	return await new Promise(resolve => {
		setTimeout(_ => {
			resolve({
				statusCode: 200,
				data: {
					data,
                    status: 200
				},
				header
			});
		}, 500);
	});
}

export default {
	mockNetwork
}