
## 存放小程序组件的目录

> uni-app在支持vue组件之外，也实现了对小程序自定义组件的兼容。

> 小程序组件不是vue组件，并且每家小程序都有自己的组件规范，比如微信小程序的组件是wxml格式。

> 小程序组件不是全端可用，支持度最广的微信小程序自定义组件，也只能支持微信小程序、app-vue、web，其他平台无法兼容。

> 如果需求上只需兼容有限平台，也可以使用小程序组件。否则仍然推荐使用vue组件。

平台差异说明

|平台	|支持情况	|小程序组件存放目录	|
|--	|--	|--	|
|H5	|支持微信小程序组件（2.4.7+）	|wxcomponents	|
|App（不含nvue）	|支持微信小程序组件	|wxcomponents	|
|微信小程序	|支持微信小程序组件	|wxcomponents	|
|支付宝小程序	|支持支付宝小程序组件	|mycomponents	|
|百度小程序	|支持百度小程序组件	|swancomponents	|
|抖音小程序、飞书小程序	|支持抖音小程序、飞书小程序组件	|ttcomponents	|
|QQ小程序	|支持QQ小程序组件	|wxcomponents	|
|快手小程序	|支持快手小程序组件	|kscomponents	|
|京东小程序	|支持京东小程序组件	|jdcomponents	|

[小程序自定义组件支持](https://uniapp.dcloud.net.cn/tutorial/miniprogram-subject.html#小程序组件支持)