/**
 * 调起扫码界面进行扫码。扫码结果可由WeLink处理，也可将结果返回给应用处理。
 * needResult: 
 * 0:底座处理扫描结果,不传值默认为0
 * 1:应用处理扫描结果。
 * content: needResult为1时，底座将返回string格式的内容。
 */
function scanCode(needResult = 1) {
    return HWH5.scanCode({
        needResult
    }).then(data => {
        uni.$kit.log('扫描结果: ', data);
        return data;
    }).catch(error => {
        uni.$kit.log('扫码异常: ', error);
    });
}

export default {
    scanCode
}