/**
 * vconsole控制
 */
// #ifdef H5
import vconsole from 'vconsole'
// #endif

export default {
    data() {
        return {
            // #ifdef H5
            mv_times: 0 // 点击次数
            // #endif
        }
    },
    
    methods: {
        // #ifdef H5
        /**
         * 设置vconsole调试开关
         */
        mixin_vconsole_clicked() {
            if (this.mv_times == 0) {
                setTimeout(_ => this.mv_times = 0, 3000);
            }
        
            this.mv_times += 1;
            if (this.mv_times == 5) {
                const globalData = getApp().globalData;
                if (!this.vuex_settings.debug) {
                    if (!globalData.$vconsole) {
                        // 初始化虚拟控制台
                        globalData.$vconsole = new vconsole()
                    }
                } else if (globalData.$vconsole) {
                    // 关闭并置空
                    globalData.$vconsole.destroy();
                    globalData.$vconsole = null;
                }
                this.$u.vuex("vuex_settings.debug", !this.vuex_settings.debug);
            }
        }
        // #endif
    }
}