export default {
    index: {
        title: "Application name",
        home: "Home"
    },
    common: {
        "warm-prompt": "Warm prompt",
        loading: "Loading...",
        waitMoment: "Please wait a moment",
        "to-login": "You haven't logged in yet, login now?",
        "please-select": "Please select",
        "scan-qrcode": "Scanning two-dimensional code",
        "longpress-qrcode-to-friends": "Long press the QR code to send to friends",
        "unset-qrcode-params": "Two-dimensional code parameters are not set",
        "gen-qrcode": "Generate qrcode"
    },
    http: {
        "status-400": "Bad request",
        "status-401": "Unauthorized",
        "status-402": "Payment Granted",
        "status-403": "Forbidden",
        "status-404": "Not found",
        "status-405": "Method Not Allowed",
        "status-406": "Not Acceptable",
        "status-407": "Proxy Authentication Required",
        "status-408": "Request Time-out",
        "status-409": "Conflict",
        "status-410": "Gone",
        "status-411": "Length Required",
        "status-412": "Precondition Failed",
        "status-413": "Request Entity Too Large",
        "status-414": "Request-URI Too Large",
        "status-415": "Unsupported Media Type",
        "status-416": "Requested range not satisfiable",
        "status-417": "Expectation Failed",
        "status-500": "Internal Server Error",
        "status-501": "Not Implemented",
        "status-502": "Bad Gateway",
        "status-503": "Service Unavailable",
        "status-504": "Gateway Timeout",
        "status-505": "HTTP Version Not Supported",
    },
    button: {
        confirm: "Ok",
        cancel: "Cancel",
        "prev-step": "The Previous",
        "next-step": "Next",
        skip: "Skip",
        knew: "Knew"
    },
    component: {
        yesterday: "Yesterday"
    },
    popup: {
        "list-option": "List Option"
    },
    login: {
        login: "Login",
        exception: "Login exception",
        "phone-number": "Mobile phone number",
        "password": "Password"
    },
    tabBar: {
        home: "Home",
        project: "Project",
        backlog: "Backlog",
        message: "Message",
        addressbook: "Address Book",
        workbench: "Workbench",
        notification: "Notification",
        application: "Application",
        more: "More",
        my: "My",
        basic: "Basic",
        api: "Api",
        extend: "Extend",
        template: "Template"
    },
    language: {
        langs: "Multi Language",
        "follow-system": "System Language",
        hans: "简体中文",
        hant: "繁體中文",
        en: "English"
    },
    system: {
        setting: "Settings",
        "switch-account": "Switching Account",
        "share-app": "Share this app",
        "welcome-register": "Welcome to register",
        "invite-member": "Invite member",
        "invite-enterprise": "Invite enterprise",
        "push-notification": "Push notification",
        "online-support": "Online support",
        "contact-us": "Contact us",
        "account-password": "Account Password",
        "account-management": "Account Management",
        "clear-cache": "Clear Cache",
        "lab": "Laboratory",
        "privacy-settings": "Privacy Settings",
        "security-settings": "Security Settings",
        "open": "Open",
        "close": "Close",
        "others": "Others",
        "i18n": "i18n"
    },
    user: {
        "select-member": "Select member"
    },
    "for-demo": {
        "person-center": "Person center",
        "person-center": "Person center",
        "file-picker": "Select file",
        "custom-nav-bar": "Customize the navigation bar",
        "online-doc-editor": "Online document editor",
        "chat": "Chat",
        "elec-seal": "Electronic seal"
    }
}