export default {
    index: {
        title: "应用的名称",
        home: "首页"
    },
    common: {
        "warm-prompt": "温馨提示",
        loading: "正在加载...",
        waitMoment: "请稍等",
        "to-login": "您还未登录，现在去登录？",
        "please-select": "请选择",
        "scan-qrcode": "扫描二维码",
        "longpress-qrcode-to-friends": "可长按二维码发送给朋友",
        "unset-qrcode-params": "未设置二维码参数",
        "qrcode-scan-unsupported": "此环境不支持二维码扫描功能",
        "gen-qrcode": "生成二维码"
    },
    http: {
        "status-400": "错误请求",
        "status-401": "未授权",
        "status-402": "保留有效 ChargeTo 头响应",
        "status-403": "禁止",
        "status-404": "未找到",
        "status-405": "方法禁用",
        "status-406": "不接受",
        "status-407": "需要代理授权",
        "status-408": "请求超时",
        "status-409": "冲突",
        "status-410": "删除",
        "status-411": "需要有效长度",
        "status-412": "未满足前提条件",
        "status-413": "请求实体过大",
        "status-414": "请求的 URI 过长",
        "status-415": "不支持的媒体类型",
        "status-416": "请求范围不符合要求",
        "status-417": "为满足期望值",
        "status-500": "服务器内部错误",
        "status-501": "尚未实施",
        "status-502": "错误网关",
        "status-503": "服务不可用",
        "status-504": "网关超时",
        "status-505": "HTTP 版本不受支持",
    },
    button: {
        confirm: "确定",
        cancel: "取消",
        "prev-step": "上一步",
        "next-step": "下一步",
        skip: "跳过",
        knew: "知道了"
    },
    component: {
        yesterday: "昨天"
    },
    popup: {
        "list-option": "列表选项"
    },
    login: {
        login: "登录",
        exception: "登录异常",
        "phone-number": "手机号码",
        "password": "密码"
    },
    tabBar: {
        home: "首页",
        project: "项目",
        backlog: "待办",
        message: "消息",
        addressbook: "通讯录",
        workbench: "工作台",
        notification: "通知",
        application: "应用",
        more: "更多",
        my: "我的",
        basic: "基础组件",
        api: "接口",
        extend: "扩展组件",
        template: "模板"
    },
    language: {
        langs: "多语言",
        "follow-system": "跟随系统",
        hans: "简体中文",
        hant: "繁體中文",
        en: "English"
    },
    system: {
        setting: "设置",
        "switch-account": "切换账号",
        "share-app": "分享此应用",
        "welcome-register": "欢迎注册",
        "invite-member": "邀请成员",
        "invite-enterprise": "邀请企业",
        "push-notification": "推送通知",
        "online-support": "在线支持",
        "contact-us": "联系我们",
        "account-password": "帐号密码",
        "account-management": "帐号管理",
        "clear-cache": "清理缓存",
        "lab": "实验室",
        "privacy-settings": "隐私设置",
        "security-settings": "安全设置",
        "open": "开启",
        "close": "关闭",
        "others": "其他",
        "i18n": "国际化"
    },
    user: {
        "select-member": "选择成员"
    },
    "for-demo": {
        "person-center": "个人中心",
        "person-center": "个人中心",
        "file-picker": "选择文件",
        "custom-nav-bar": "自定义导航栏",
        "online-doc-editor": "在线文档编辑",
        "chat": "聊天",
        "elec-seal": "电子签章"
    }
}