export default {
    index: {
        title: "應用的名稱",
        home: "Home"
    },
    common: {
        "warm-prompt": "溫馨提示",
        loading: "正在加載...",
        waitMoment: "請稍等...",
        "to-login": "您還未登錄，現在去登錄？",
        "please-select": "請選擇",
        "scan-qrcode": "掃描二維碼",
        "longpress-qrcode-to-friends": "可長按二維碼發送給朋友",
        "unset-qrcode-params": "未設置二維碼參數",
        "qrcode-scan-unsupported": "此環境不支持二維碼掃描功能",
        "gen-qrcode": "生成二維碼"
    },
    http: {
        "status-400": "錯誤請求",
        "status-401": "未授權",
        "status-402": "保留有效 ChargeTo 頭響應",
        "status-403": "禁止",
        "status-404": "未找到",
        "status-405": "方法禁用",
        "status-406": "不接受",
        "status-407": "需要代理授權",
        "status-408": "請求超時",
        "status-409": "冲突",
        "status-410": "删除",
        "status-411": "需要有效長度",
        "status-412": "未滿足前提條件",
        "status-413": "請求實體過大",
        "status-414": "請求的 URI 過長",
        "status-415": "不支持的媒體類型",
        "status-416": "請求範圍不符合要求",
        "status-417": "為滿足期望值",
        "status-500": "服務器內部錯誤",
        "status-501": "尚未實施",
        "status-502": "錯誤網關",
        "status-503": "服務不可用",
        "status-504": "網關超時",
        "status-505": "HTTP 版本不受支持",
    },
    button: {
        confirm: "確定",
        cancel: "取消",
        "prev-step": "上一步",
        "next-step": "下一步",
        skip: "跳過",
        knew: "知道了"
    },
    component: {
        yesterday: "昨天"
    },
    popup: {
        "list-option": "列表選項"
    },
    login: {
        login: "登錄",
        exception: "登錄異常",
        "phone-number": "手機號碼",
        "password": "密碼"
    },
    tabBar: {
        home: "首頁",
        project: "項目",
        backlog: "待辦",
        message: "消息",
        addressbook: "通訊錄",
        workbench: "工作臺",
        notification: "通知",
        application: "應用",
        more: "更多",
        my: "我的",
        basic: "基礎組件",
        api: "接口",
        extend: "擴展組件",
        template: "模板"
    },
    language: {
        langs: "多語言",
        "follow-system": "跟隨系統",
        hans: "简体中文",
        hant: "繁體中文",
        en: "English"
    },
    system: {
        setting: "設置",
        "switch-account": "切換賬號",
        "share-app": "分享此應用",
        "welcome-register": "歡迎註冊",
        "invite-member": "邀請成員",
        "invite-enterprise": "邀請企業",
        "push-notification": "推送通知",
        "online-support": "在線支持",
        "contact-us": "聯系我們",
        "account-password": "帳號密碼",
        "account-management": "帳號管理",
        "clear-cache": "清理緩存",
        "lab": "實驗室",
        "privacy-settings": "隱私設置",
        "security-settings": "安全設置",
        "open": "開啟",
        "close": "關閉",
        "others": "其他",
        "i18n": "國際化"
    },
    user: {
        "select-member": "選擇成員"
    },
    "for-demo": {
        "person-center": "個人中心",
        "person-center": "個人中心",
        "file-picker": "選擇文件",
        "custom-nav-bar": "自定義導航欄",
        "online-doc-editor": "在線文檔編輯",
        "chat": "聊天",
        "elec-seal": "電子簽章"
    }
}