## static-目录的条件编译 
在不同平台，引用的静态资源可能也存在差异，通过 static 的条件编译可以解决此问题，static 目录下新建不同平台的专有目录。

|目录名称	|说明			|
|--			|--				|
|app-plus	|App			|
|h5			|H5				|
|mp-weixin	|微信小程序	|
|mp-alipay	|支付宝小程序	|
|mp-baidu	|百度小程序		|
|mp-qq		|QQ小程序		|
|mp-toutiao	|字节小程序		|
|mp-lark	|飞书小程序		|
|mp-kuaishou|快手小程序		|
|mp-jd		|京东小程序		|

### 注意
专有目录下的静态资源只有在特定平台才会编译进去。如果想把各平台的页面文件更彻底的分开，参考[platforms 整体目录条件编译](../platforms/README.md)

[参考链接](https://uniapp.dcloud.net.cn/tutorial/platform.html#static-目录的条件编译)
